is_degseq {igraph} | R Documentation

## Check if a degree sequence is valid for a multi-graph

### Description

`is_degseq` checks whether the given vertex degrees (in- and out-degrees for directed graphs) can be realized by a graph. Note that the graph does not have to be simple, it may contain loop and multiple edges. For undirected graphs, it also checks whether the sum of degrees is even. For directed graphs, the function checks whether the lengths of the two degree vectors are equal and whether their sums are also equal. These are known sufficient and necessary conditions for a degree sequence to be valid.

### Usage

    is_degseq(out.deg, in.deg = NULL)

### Arguments

`out.deg` | Integer vector, the degree sequence for undirected graphs, or the out-degree sequence for directed graphs.
`in.deg` | `NULL` or an integer vector. For undireted graphs, it should be `NULL`. For directed graphs it specifies the in-degrees.

### Value

A logical scalar.

### Author(s)

Tamas Nepusz ntamas@gmail.com

### References

Hakimi SL: On the realizability of a set of integers as degrees of the vertices of a simple graph. J SIAM Appl Math 10:496-506, 1962.

PL Erdos, I Miklos and Z Toroczkai: A simple Havel-Hakimi type algorithm to realize graphical degree sequences of directed graphs. The Electronic Journal of Combinatorics 17(1):R66, 2010.

### See Also

Other graphical degree sequences

g <- sample_gnp(100, 2/100) is_degseq(degree(g)) is_graphical(degree(g)): `is_graphical`

[Package igraph version 1.1.2 Index]